Logo

Deliveries Package Tracker

Status

info
To be able to maintain further development of the app, the customer service via mail and web is currently very limited. Thanks for your understanding!
warning
Starting with version 5.4 of the app, the minimum required Android version will be increased to 4.1 (API 16).